FUNCTION it_getdate,header

  month = ['Jan','Feb','Mar','Apr','May','Jun',       	$
           'Jul','Aug','Sep','Oct','Nov','Dec']

  date=fxpar(header,'DATE-OBS')
  date_err=!err

  tele=fxpar(header,'TELESCOP')
  tele_err=!err
  IF (tele_err NE -1) THEN BEGIN
    IF (tele EQ 'SOHO') OR (tele EQ 'SOHO    ') THEN BEGIN
      date=fxpar(header,'DATE-OBS')
      RETURN,date
    ENDIF
    IF (tele EQ 'H-ALPHA ') THEN BEGIN
      date=fxpar(header,'DATE-OBS')
      RETURN,date
    ENDIF
    IF (tele EQ 'YOHKOH  ') THEN RETURN,date
  ENDIF

  IF (date_err NE -1) THEN BEGIN
    ;iday = strmid(date, 0, 2)
    iday = strmid(date, 8, 2)
    ;imonth = strmid (date, 3,2) - 1
    imonth = strmid (date, 5,2) - 1
    ;iyear = strmid (date, 6, 2)
    iyear = strmid (date, 0, 4)
    idoy = 0
    nday = intarr (12)
    nday ([0, 2, 4, 6, 7, 9, 11]) = 31
    nday ([3, 5, 8, 10]) = 30
    ly = float (iyear)/4.0
    IF ((ly - fix (ly)) EQ 0.0) THEN nday (1) = 29 ELSE nday (1) = 28

    IF (imonth NE 0) THEN       $
      FOR i = 0, imonth -1 DO BEGIN
         idoy = idoy + nday (i)
      ENDFOR
    idoy = idoy + iday
    img_doy = string (idoy)

    date = string (iday + '-' + month (imonth) + '-' + string(iyear))
  ENDIF

RETURN,date
END
